/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_ticket_ticketinfo
#define headerfile_winix_plugins_ticket_ticketinfo


#include <vector>
#include "ticket.h"
#include "core/item.h"
#include "core/system.h"
#include "db/db.h"
#include "tdb.h"



namespace Ticket
{


class TicketInfo
{
public:

	TicketInfo();

	void SetTDb(TDb * ptdb);
	void SetDb(Db * pdb);
	void SetSystem(System * psystem);

	void Clear();
	void ReadTicket(long dir_id);
	void SortTickets();

	Item item;
	bool is_ticket;
	Ticket ticket;
	std::vector<Ticket> ticket_tab;

	int mount_type_ticket;

	int mount_par_ticket;
	int mount_par_ticket_type;
	int mount_par_ticket_type_default;
	int mount_par_ticket_status;
	int mount_par_ticket_status_default;
	int mount_par_ticket_priority;
	int mount_par_ticket_priority_default;
	int mount_par_ticket_category;
	int mount_par_ticket_category_default;
	int mount_par_ticket_expected;
	int mount_par_ticket_expected_default;

	int mount_par_createticket_on;




private:
	TDb * tdb;
	Db * db;
	System * system;

	static bool SortTicketsFun(const Ticket & t1, const Ticket & t2);
};




}

#endif
